Main Page Widgets Namespaces Book

# Gdk::ColorTraits Struct Reference

List of all members.

## Public Types
typedef Gdk::Color | CppType
typedef GdkColor | CType
typedef GdkColor | CTypeNonConst
## Static Public Member Functions
CType | to_c_type (const CppType& obj)
CType | to_c_type (const CType& obj)
CppType | to_cpp_type (const CType& obj)
void | release_c_type (const CType&)

## Member Typedef Documentation

typedef Gdk::Color Gdk::ColorTraits::CppType

typedef GdkColor Gdk::ColorTraits::CType

typedef GdkColor Gdk::ColorTraits::CTypeNonConst

## Member Function Documentation

void Gdk::ColorTraits::release_c_type | ( | const CType& |  | ) | `[inline, static]`

CType Gdk::ColorTraits::to_c_type | ( | const CType& | obj | ) | `[inline, static]`

CType Gdk::ColorTraits::to_c_type | ( | const CppType& | obj | ) | `[inline, static]`

CppType Gdk::ColorTraits::to_cpp_type | ( | const CType& | obj | ) | `[inline, static]`

The documentation for this struct was generated from the following file:

- gdk/gdkmm/color.h